# Generated by Django 3.1 on 2021-07-09 20:02

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('overlay', '0002_overlay_title_override'),
    ]

    operations = [
        migrations.CreateModel(
            name='AlertMessage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('highlight', models.CharField(choices=[('default (no color)', 'default'), ('success (green)', 'success'), ('info (blue)', 'info'), ('warning (yellow/orange)', 'warning'), ('danger (red)', 'danger')], default='default', max_length=64)),
                ('title', models.CharField(blank=True, max_length=256)),
                ('content', models.TextField()),
                ('active_start', models.DateTimeField(blank=True, help_text="[Optional] alert won't show until this time", null=True)),
                ('active_end', models.DateTimeField(blank=True, help_text='[Optional] alert will stop showing at this time. Expired alerts will auto-delete eventually.', null=True)),
                ('overlay', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='overlay.overlay')),
            ],
        ),
    ]
